Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Versatile C++ game scraper: Skyscraper



  • @muldjord
    Ah I see! I've been using Linux for many years and everyone's approach to the syntax is always different from the last person's. If it's printed in the tutorial, I'll type it! Thanks for the heads up. :-)

    EDIT: Finally, it worked! Many thanks.



  • @Ranma said in Versatile C++ game scraper: Skyscraper:

    Ah I see! I've been using Linux for many years and everyone's approach to the syntax is always different from the last person's.

    Agreed. I've recently changed all [ and ] to < and >. But you're right, it's hard to find concensus.

    EDIT: Finally, it worked! Many thanks.

    Awesome! :)



  • @muldjord Omg. That clears up my recent problems with md5 and skyscraper. Somehow i put the md5 in square brackets. I thought this is the way it always was... LOL



  • @frezeen
    Just moving the discussion of the unsupported Windows version here instead. The other thread is for the RetroPie script.

    I've updated the Windows version to 3.1.5 (development code), and it works well with screenscraper on my install. Remember to follow the README included in the zip completely to the point.



  • continue not work, anyways new 3.1.5 is not 3.1.5 but when launch it:
    Running Skyscraper v3.1.1 by Lars Muldjord
    .....
    .....
    i dont know if missmatch is normal or not.
    i follow the readme, arcadedb module work perfect, screenscraper got error with my credential too.
    its useless continue to hit wall with head... the hint is: no support for windows , and without a debug mode its hard to fix.
    i surrend, installed virtual machine with linux and work, slow but work.
    i never stop to repeat thank you for your work and for support it



  • @frezeen said in Versatile C++ game scraper: Skyscraper:

    continue not work, anyways new 3.1.5 is not 3.1.5 but when launch it:
    Running Skyscraper v3.1.1 by Lars Muldjord
    .....
    .....
    i dont know if missmatch is normal or not.

    That's because I forgot to "make clean" before recompiling it. It is 3.1.5 even if it doesn't say so.
    I might be able to try it on a different Windows machine at work tomorrow. It might be a dll problem.

    EDIT: Just updated the zip again. It will now read "3.1.5" as it's supposed to. But it's the same executable other than that.

    Did you remember to follow the installation instructions in the README included in the zip file? There's some important stuff in there.



  • readme warning are to copy 2 dirs in /user/myuser/ and dont launch it from powershell but from old cmd.
    i try it with cmd (admin privile and not) and with cmder.exe (look great, its linux terminal emulator with colours too)
    arcadedb module work with no problems and its really fast.
    same romset (2850 mame roms) from arcadedb: 13 mins on windows. 28 min in virtual linux machine, about 40 mins on rpi. with 1000mbits connection
    its normal arcadedb module work but not screenscraper?

    anyways, really, im scraping my 16000 roms collection with virtual machine... i dont want to stolen more time from you with this windows questions. sorry



  • @frezeen No idea then. Works fine with screenscraper when running it in cmd.exe here.



  • ok, i found the best solution for me.
    https://www.howtogeek.com/249966/how-to-install-and-use-the-linux-bash-shell-on-windows-10/
    than install debian from windows 10 market.
    debian linux bash shell work like a charm, its not emulated , its very fast with all my windows drive mounted already. i install with apt-get all request packages than compile skyscraper and wow... all work perfect , fast and great.... you are my hero :) im very happy. with this solution windows user dont need a windows version :)

    edit: im surprised about this new windows 10 function. this shell work like a real debian machine... ill try to install retropie too... want to see if i can control skyscraper from retropie script.



  • Hi,

    I installed Retropie on Lubuntu (latest version and up to date).

    When I try to scrape, it says that it cannot create cache folders because of permission.

    I’m not highly skilled in Linux. I’ve read about the chmod stuff but I would like to make sure I don’t mess permission for the whole computer haha

    May I ask for some help to allow skyscraper to work. I have no issue on my RPi 3b+ so I’m sure it’s folder permission issues on my Linux machine, as the attached picture shows.!
    B1D13B05-5773-4D8F-B77A-2FA800297EA4.jpeg


  • Global Moderator

    @mo418 Can you post your config.ini file, where you've put your user/pass for ScreenScraper ?



  • @mitu

    Yes I will later today, but as you can see in the picture it says that my user is found and that I’m allowed 1 thread.

    Edit : Hum, where’s the config.ini file on a Lubuntu install? Can’t seem to find it.

    Thanks


  • Global Moderator

    @mo418 said in Versatile C++ game scraper: Skyscraper:

    Edit : Hum, where’s the config.ini file on a Lubuntu install? Can’t seem to find it.

    The same place where is on every install - $HOME/.skyscraper. How did you add your user/pass to the config.ini if you didn't edit it ?



  • @mitu
    Using the skyscraper advanced option, from the Retropie setup script in terminal. No edit in Lubuntu directly.

    Edit: Hidden folders were not showing. Now I see everything

    Screenshot.png


  • Global Moderator

    @mo418 Run this command from a command line terminal:

    sudo chown -R js $HOME/.skyscraper/*
    

    then re-try the scraping, I suspect there's a permissions problem.



  • @mitu

    Yup, success for creating folders! Scraping at the moment.

    Thanks a lot.



  • First I'd like to thank you @muldjord for this amazing tool, I love the way collections look tidy and neat with the same artwork styling, and how customizable is everything. I take it must be hard to deal with improvements and bugs, so my sincere admiration to you.

    I'm having problems scraping certain SNES roms from screenscraper.fr because they have added those as a different system (Nintendo Power). Same occurs with Satellaview for example, if one decides to have their collection as normal SNES games they won't be scraped. I've tried adding the --query "md5=..." or "sha1=..." but it doesn't work for those (NP or Satellaview), although it was useful for other difficult scrapes.
    After reading the documentation I don't see a way to scrape those roms from Skyscraper (using the latest as of now, 3.1.4). Any workarounds or hacks to have those parsed?

    Thanks very much in advance!



  • @victordg As it turns out, there are actually quite a few of these aliases. I've added the following:

        aliases.append("nintendo power");
        aliases.append("satellaview");
        aliases.append("sufami turbo");
        aliases.append("snes - super mario world hacks");
        aliases.append("super nintendo msu-1");
    

    which will be available in 3.1.5 when it's released (no eta currently).

    If you want to add it in your current version you can just edit the platforms.cpp source code file and add the above lines to the aliases function. Just remember to compile it and install it afterwards, otherwise it'll just keep using your current version.

    EDIT: Actually I've decided to remove the platform check altogether when scraping from ScreenScraper. There's no real need for it as ScreenScraper always returns correct results since it checksum based.



  • @muldjord how will removing the platform check affect games that are found through name match and have multiple platform entries? Games launched by .sh or .conf files for example.



  • @muldjord Nice to know! Both ideas are perfect to me, actually I was also kind of expecting that the platform would be ignored when expliciting the rom hash with --query, so I totally agree to your approach, at least using screenscraper.fr there is no real need to match the platform since hashes are included for every game :) I'm too impatient though so I'll recompile with those aliases to see the NPs and Satellaviews right now :D

    Thumbs up for you @muldjord, Skyscraper is getting better and better.

    EDIT: Just to confirm that now it works as expected. Thanks again @muldjord!



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.